<template>
  <div id="app">

    <section class="the-form">
      <h1>Тестовое задание для ПАРИТЕТ РДЦ</h1>

      <dl>
        <dt>Tab / Shift + Tab</dt>
        <dd>Переключение между контроллами</dd>
        <dt>Escape</dt>
        <dd>Сброс значения к изначальному и закрытие контролла</dd>
        <dt>Enter</dt>
        <dd>Закрытие контролла</dd>
        <dt>Ctrl + Enter</dt>
        <dd>Вызов команды и закрытие контролла</dd>
      </dl>

      <hr>

      <div class="the-input">
        <label for="first">Контролл 1</label>
        <number
          id="first"
          command-title="Сумма"
          :value="first"
          @input="setFirst"
          @command="onFirstCommand"
        />
      </div>

      <div class="the-input">
        <label for="second">Контролл 2</label>
        <number
          id="second"
          command-title="Константа"
          :value="second"
          @input="setSecondAndThird"
          @command="onSecondCommand"
        />
      </div>

      <div class="the-input">
        <label for="third">Контролл 3</label>
        <number
          id="third"
          command-title=""

          :value="third"
          @input="setSecondAndThird"
        />
      </div>

    </section>
  </div>
</template>

<script>
import Number from './components/Number.vue'
import { mapState, mapMutations } from 'vuex';

export default {
  name: 'app',
  data() {
    return {
    }
  },
  components: { Number },
  computed: {
    ...mapState([
      'first',
      'second',
      'third'
    ])
  },
  methods: {
    ...mapMutations([
      'setFirst',
      'setSecondAndThird'
    ]),
    onFirstCommand() {
      this.$store.commit('setFirst', this.second + this.third);
    },
    onSecondCommand() {
      this.$store.commit('setSecondAndThird', 1000);
    }
  }
}
</script>

<style lang="scss">
* {
  box-sizing: border-box;
  font-family: 'Times New Roman', Times, serif;
}
html {
  font-size: 10px;
}
body {
  font-size: 1.4rem;
}
.the-form {
  max-width: 400px;
  margin: auto;
  padding: 0 2rem;
  border: 1px solid #cecece;
  border-radius: 1rem;

  dl {
    font-size: 1.2rem;
  }

  .the-input {
    label {
      display: inline-block;
      width: 30%;
      padding: 0.6rem 0;
    }
  }
}
</style>
